List Sales Navigator search parameters

Resolves the parameter ids used by the Sales Navigator people and company search filters. Pass a type (LOCATION, INDUSTRY, JOB_TITLE, COMPANY, LEAD_LIST, ACCOUNT_LIST and more) and optional keywords to look up matching ids with display names. LEAD_LIST and ACCOUNT_LIST also resolve existing list ids by name.

POST
/v1/messaging/sales-navigator/search/parameters

Authorization

apiKeyAuth
x-api-key<token>

API key authentication. Create an API key in your user profile and include it in the x-api-key header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/messaging/sales-navigator/search/parameters" \  -H "Content-Type: application/json" \  -d '{    "connectedAccountId": "ac03972a-5ca5-43c5-b96f-c519ac843b7a",    "type": "COMPANY"  }'
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "property1": null,
      "property2": null
    }
  ],
  "total_count": 0,
  "next_cursor": "string",
  "property1": null,
  "property2": null
}
"string"
"string"
"string"
"string"